import 'package:flutter/material.dart';
import 'package:telnow_mobile_new/src/utils/U.dart';

class WebAppPage extends StatefulWidget {
  final Widget child;
  const WebAppPage(this.child, {super.key});

  @override
  State<WebAppPage> createState() => _WebAppPageState();
}

class _WebAppPageState extends State<WebAppPage> {
  bool begin = false;

  @override
  void initState() {
    getOtherList();
    begin = true;
    // TODO: implement initState
    super.initState();
  }

  getOtherList() async{
    await U.getServerVersion();
    U.getOtherLabelList(context);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: begin ? widget.child : Container(),
    );
  }
}
